# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Bio/AlignIO.pm) perl(Bio/Assembly/IO.pm) perl(Bio/Coordinate/Pair.pm) perl(Bio/DB/GFF/Util/Rearrange.pm) perl(Bio/DB/SeqFeature.pm) perl(Bio/DB/SeqFeature/Store.pm) perl(Bio/Location/Simple.pm) perl(Bio/Matrix/PSM/IO.pm) perl(Bio/Root/Root.pm) perl(Bio/Root/RootI.pm) perl(Bio/SearchIO.pm) perl(Bio/SeqFeature/Generic.pm) perl(Bio/SeqFeature/Lite.pm) perl(Bio/SeqIO.pm) perl(Bio/Tools/CodonTable.pm) perl(Bio/Tools/GuessSeqFormat.pm) perl(Bio/Tools/Tmhmm.pm) perl(Bio/TreeIO.pm) perl(CGI.pm) perl(CGI/Carp.pm) perl(Digest/MD5.pm) perl(Dumpvalue.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/stat.pm) perl(FindBin.pm) perl(GD/Simple.pm) perl(IO/Dir.pm) perl(IO/File.pm) perl(IO/Seekable.pm) perl(List/Util.pm) perl(Math/Trig.pm) perl(Memoize.pm) perl(SVG.pm) perl(Storable.pm) perl(Test/More.pm) perl(Text/ParseWords.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.Bio.DB.BigWig.pm./d
%add_findreq_skiplist %perl_vendor_privlib/Bio/Graphics/Glyph/*
Name:           perl-Bio-Graphics
Version:        2.25
Release:        alt1_6
Summary:        Generate GD images of Bio::Seq objects
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Bio-Graphics/
Source0:        http://www.cpan.org/authors/id/L/LD/LDS/Bio-Graphics-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Bio/Root/Version.pm)
BuildRequires:  perl(GD.pm)
BuildRequires:  perl(GD/SVG.pm)
BuildRequires:  perl(Statistics/Descriptive.pm)
BuildRequires:  perl(Module/Build.pm)
Source44: import.info

%description
Bio::Graphics is a simple GD-based renderer (diagram drawer) for DNA
and protein sequences.  The Bio::Graphics::Panel class provides
drawing and formatting services for any object that implements the
Bio::SeqFeatureI interface, including Ace::Sequence::Feature,
Das::Segment::Feature and Bio::DB::Graphics objects.  It can be used
to draw sequence annotations, physical (contig) maps, protein domains,
or any other type of map in which a set of discrete ranges need to be
laid out on the number line

# RPM 4.8 style
%{echo 
%filter_from_requires /^perl.colors.pm./d; /perl.Bio.DB.BigWig.pm./d

}
# RPM 4.9 style


%prep
%setup -q -n Bio-Graphics-%{version}

# temporarily remove modules Bio/Graphics/Glyph/trace.pm until the dependency:
# Bio::SCF is packaged
rm lib/Bio/Graphics/Glyph/trace.pm

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
#./Build test

%files
%doc Changes DISCLAIMER.txt README README.bioperl
%{_bindir}/*
%{perl_vendor_privlib}/*
%{_mandir}/man1/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.25-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 2.25-alt1_5
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 2.25-alt1_3
- fc import

